org.apache.activemq.artemis.api.core.client

## Interface ClientSession.QueueQuery

- Enclosing interface:
    ClientSession

      public static interface ClientSession.QueueQuery

  Information returned by a queue query
  See Also:
    `ClientSession.queueQuery(SimpleString)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleString` | `getAddress()` Returns the address that the queue is bound to.
    `int` | `getConsumerCount()` Returns the number of consumers attached to the queue.
    `SimpleString` | `getFilterString()` Returns the queue's filter string (or `null` if the queue has no filter).
    `int` | `getMaxConsumers()`
    `long` | `getMessageCount()` Returns the number of messages in the queue.
    `SimpleString` | `getName()` Return the name of the queue
    `RoutingType` | `getRoutingType()`
    `boolean` | `isAutoCreated()`
    `boolean` | `isAutoCreateQueues()` Returns `true` if auto-creation for this queue is enabled and if the queue queried is a JMS queue, `false` else.
    `boolean` | `isDurable()` Returns `true` if the queue is durable, `false` else.
    `boolean` | `isExists()` Returns `true` if the queue exists, `false` else.
    `boolean` | `isPurgeOnNoConsumers()`
    `boolean` | `isTemporary()` Return `true` if the queue is temporary, `false` else.

- - ### Method Detail

    - #### isExists

          boolean isExists()

      Returns `true` if the queue exists, `false` else.

    - #### isTemporary

          boolean isTemporary()

      Return `true` if the queue is temporary, `false` else.

    - #### isDurable

          boolean isDurable()

      Returns `true` if the queue is durable, `false` else.

    - #### isAutoCreateQueues

          boolean isAutoCreateQueues()

      Returns `true` if auto-creation for this queue is enabled and if the queue queried is a JMS queue, `false` else.

    - #### getConsumerCount

          int getConsumerCount()

      Returns the number of consumers attached to the queue.

    - #### getMessageCount

          long getMessageCount()

      Returns the number of messages in the queue.

    - #### getFilterString

          SimpleString getFilterString()

      Returns the queue's filter string (or `null` if the queue has no filter).

    - #### getAddress

          SimpleString getAddress()

      Returns the address that the queue is bound to.

    - #### getName

          SimpleString getName()

      Return the name of the queue
      Returns:

    - #### getRoutingType

          RoutingType getRoutingType()

    - #### getMaxConsumers

          int getMaxConsumers()

    - #### isPurgeOnNoConsumers

          boolean isPurgeOnNoConsumers()

    - #### isAutoCreated

          boolean isAutoCreated()

Copyright © 2017 The Apache Software Foundation. All rights reserved.